Skip to main content
POST
Confirm a mass payment instruction
Confirm (commit) mass payment instructions, which can be hold because auto_commit was false, or because there were some errors. You have to confirm a mass payment instruction when
  1. The auto_commit field is set to false,
  2. The auto_commit field is set to true and errors are identified at the time of processing request.
Please note that a mass payment can be only confirmed when the mass payment status is “processed”, otherwise a 400 Bad request error will be returned. When hitting this endpoint, the new payment status will change to “creating”.

Headers

Authorization
string
required

The access token.

Path Parameters

mass_payment_id
string
required

The ID of the mass payment.

Query Parameters

client_id
string
required

The identifier of a client.

Response

Masspayment confirmation accepted, see response body for status

mass_payment_status
enum<string>

This is an enumeration of the status of a MassPayment

Available options:
Queued for processing,
Processing,
Processed,
Queued for creating,
Creating,
Created,
Cancelled,
Failed